﻿@model BenhVien.MODEL.Thuoc
@using BenhVien.UI.Models


<style>
    .switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 34px;
    }

        .switch input {
            opacity: 0;
            width: 0;
            height: 0;
        }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
    }

        .slider:before {
            position: absolute;
            content: "";
            height: 26px;
            width: 26px;
            left: 4px;
            bottom: 4px;
            background-color: white;
            -webkit-transition: .4s;
            transition: .4s;
        }

    input:checked + .slider {
        background-color: #2196F3;
    }

    input:focus + .slider {
        box-shadow: 0 0 1px #2196F3;
    }

    input:checked + .slider:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
    }

    /* Rounded sliders */
    .slider.round {
        border-radius: 34px;
    }

        .slider.round:before {
            border-radius: 50%;
        }
</style>



<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Thông tin thuốc</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="Id" name="Id" value="@(Model != null? Model.Id.ToString():"")">
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Tên thuốc</label>
                        <div>
                            <input type="text" id="Ten" class="form-control" name="Ten" autocomplete="off" value="@(Model != null?Model.Ten :"")">
                        </div>
                    </div>
                    
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumStatus.ACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.ACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.ACTIVE)</option>
                                <option value="@EnumStatus.INACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.INACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.INACTIVE)</option>
                            </select>

                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 col-xs-12 clearfix">
                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label class="control-label" for="first-name">
                                Áp dụng BHYT
                            </label>
                            <div>

                                <input type="hidden" name="GiamGiaBHYT" value="@(Model != null?Model.GiamGiaBHYT.ToString() :"")">
                                <div class="">
                                    <label class="switch">
                                        <input name="_IsTrangChu" type="checkbox" id="hienthi" @(Model != null && Model.GiamGiaBHYT == EnumStatus.ACTIVE ? "checked" : "")>
                                        <span class="slider round"></span>
                                        <script>
                                            $("[name=_IsTrangChu]").change(function () {
                                                if ($(this).prop("checked")) {
                                                    $("[name=GiamGiaBHYT]").val('@EnumStatus.ACTIVE');
                                                } else {
                                                    $("[name=GiamGiaBHYT]").val('@EnumStatus.INACTIVE');

                                                }
                                            })
                                        </script>
                                    </label>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Giá </label>
                        <div>
                            <input type="text" id="Gia" class="form-control" name="Gia" autocomplete="off" value="@(Model != null?Model.Gia.ToString() :"")">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Đơn vị</label>
                        <div>
                            <input type="text" id="DonVi" class="form-control" name="DonVi" autocomplete="off" value="@(Model != null?Model.DonVi :"")">
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Công ty</label>
                        <div>
                            <input type="text" id="CongTy" class="form-control" name="CongTy" autocomplete="off" value="@(Model != null?Model.CongTy.ToString() :"")">
                        </div>
                    </div>

                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Mô tả</label>
                        <div>
                            <textarea id="MoTa" class="form-control" name="MoTa" autocomplete="off"> @(Model != null ? Model.MoTa : "")</textarea>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Logo :</label>
                        <div>
                            <div style="margin-bottom:10px">
                                <input type="file" class="form-control" name="_Logo" />
                            </div>
                            @if (Model != null && Model.AnhDaiDien != null)
                            {
                                <div class="col-md-55">
                                    <div class="thumbnail" style="height:auto;">
                                        <div class="image view view-first">
                                            <img id="_Logo" src="@Model.AnhDaiDien.Replace("~/", "/")" onclick="javascript: window.open($(this).attr('src'), '_blank')" style="width: 100%; display: block;" alt="image" />
                                            <div class="mask">
                                                <p></p>
                                                <div class="tools tools-bottom">
                                                    <a href="javascript: window.open('@Model.AnhDaiDien.Replace("~/", "/")', '_blank')"><i class="fa fa-link"></i></a>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            }
                            else
                            {
                                <img id="_Logo" src="" onclick="javascript: window.open($(this).attr('src'), '_blank')" style="max-height:150px; display:none;" />
                            }

                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="submit" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    })
</script>

<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                Ten: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                DonVi: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                Gia: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    },
                    callback: {
                        callback: function (value, validator, $field) {
                            debugger;
                            if (isNaN(value)) {
                                return {
                                    valid: false,
                                    message: 'Dữ liệu dạng số'
                                }
                            }
                            return true;
                        }
                    },
                },
                _Logo: {
                    validators: {

                        file: {
                            extension: 'jpeg,jpg,png',
                            type: 'image/jpeg,image/png',
                            maxSize: 5242880,
                            message: 'Hệ thống chỉ hỗ trợ tệp tin hình ảnh định dạng jpeg,jpg,png nhỏ hơn hoặc bằng 5Mb'
                        },
                        @if(!(Model != null && Model.AnhDaiDien != null))
                            {
                                <text>
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        </text>
                            }
                    }
                },
                SDT: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                if (value.length != 0 && vnf_regex.test(value) == false) {
                                    return {
                                        valid: false,
                                        message: 'Số điện thoại của bạn không đúng định dạng!'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
            }
        }).on('success.form.fv', function (e) {
            document.getElementById("btn-save1").disabled = true;
            e.preventDefault();
            $.ajax({
                url: '@Url.Action("Update", "Thuoc", new { area = "QuanTri" })',
                type: 'POST',
                dataType: 'json',
                mimeType: "multipart/form-data",
                contentType: false,
                processData: false,
                async: false,
                cache: false,
                data: new FormData(document.getElementById('frm-capnhat1')),
                success: function (data) {
                    if (data.kq == "ok") {
                        alertify.success(data.msg);
                        window.location.href = '@Url.Action("MainPage", "Thuoc", new { area= "QuanTri" })';
                    }
                    else {
                        alertify.error(data.msg);
                        document.getElementById("btn-save1").disabled = false;
                        $("#btn-save1").removeClass("disabled");
                    }
                }
            });
        });
    });

</script>






